The `'boundary'` connection point function places the connection point at the intersection between the link path end segment and the actual shape of the end element. (If JointJS is unable to determine the actual shape - e.g. for text - the element bbox is used instead, just as in the `'bbox'` connection point function.) The position of the connection point may be modified by several additional arguments, which may be passed within the `connectionPoint.args` property:

offset

number | object

An object with `x` and `y` properties. The connection point will be moved:

- from the anchor point by `x` pixels in the direction of the corresponding link end's path segment.
- by `y` pixels in the direction of the corresponding link end's path segment, rotated by 90 degrees anti-clockwise around the anchor point.

If a number is provided, it will be used as the `x` offset.

insideout | boolean | What happens if the link path never leaves the interior area of the end element (e.g. because the other end anchor lies within the first end element)? Should the path line be extended until an intersection with the boundary is found? Default is `true`.
extrapolate | boolean | What happens if the link path never enters the interior area of the end element (e.g. because the anchor lies outside the end element)? Should the path line be extended to try and find the boundary? Default is `false`. Note that even if this option is `true`, an intersection is still not guaranteed. This option takes precedence over `connectionPoint.args.sticky`.
sticky | boolean | What happens if the link path never enters the interior area of the end element (e.g. because the anchor lies outside the end element)? Should the closest point on the end element boundary be used instead? Default is `false`. Note that setting this option to `true` guarantees that a connection point will be found on the shape boundary.
precision | number | The precision of the path intersection algorithm. Uses a logarithmic scale; increasing the number by 1 reduces the maximum observed error by a factor of ten. Default is `2`, corresponding to 1% error.
selector | string | A selector to identify subelement/magnet of the end element at whose boundary we want the connection point to be found. Default is `undefined`, meaning that the first non-group descendant of the end element's node will be considered. (An example of another setting that may be useful is `'root'`, which forces the usage of the root group bbox instead.)
stroke | boolean | Should the stroke width be included when calculating the connection point? Default is `false`.

Example:

    link.source(model, {
        connectionPoint: {
            name: 'boundary',
            args: {
                offset: 10,
                insideout: false,
                extrapolate: true,
                sticky: true,
                precision: 3,
                stroke: true
            }
        }
    });